## ClutterLayoutMeta ClutterLayoutMeta — Wrapper for actors inside a layout manager |

## Synopsis

                        ClutterLayoutMeta;
    struct              ClutterLayoutMetaClass;
    ClutterLayoutManager * clutter_layout_meta_get_manager  (ClutterLayoutMeta *data);

## Object Hierarchy

      GObject
       +----ClutterChildMeta
             +----ClutterLayoutMeta

## Properties

      "manager"                  ClutterLayoutManager*  : Read / Write / Construct Only

## Description

ClutterLayoutMeta is a wrapper object created by ClutterLayoutManager implementations in order to store child-specific data and properties.

A ClutterLayoutMeta wraps a ClutterActor inside a ClutterContainer using a ClutterLayoutManager.

ClutterLayoutMeta is available since Clutter 1.2

## Details

### ClutterLayoutMeta

    typedef struct {
      ClutterLayoutManager *manager;
    } ClutterLayoutMeta;

Sub-class of ClutterChildMeta specific for layout managers

A ClutterLayoutManager sub-class should create a ClutterLayoutMeta instance by overriding the ClutterLayoutManager::`create_child_meta()` virtual function

ClutterLayoutManager *`manager`; | the layout manager handling this data

Since 1.2

### struct ClutterLayoutMetaClass

    struct ClutterLayoutMetaClass {
    };

The ClutterLayoutMetaClass contains only private data and should never be accessed directly

Since 1.2

### clutter_layout_meta_get_manager ()

    ClutterLayoutManager * clutter_layout_meta_get_manager  (ClutterLayoutMeta *data);

Retrieves the actor wrapped by `data`

`data` : | a ClutterLayoutMeta
Returns : | a ClutterLayoutManager. [transfer none]

Since 1.2

## Property Details

### The `"manager"` property

      "manager"                  ClutterLayoutManager*  : Read / Write / Construct Only

The ClutterLayoutManager that created this ClutterLayoutMeta.

Since 1.2